Erro Com a Libjpeg.. Resolvendo No Archlinux

| Comments

Quem está utilizando o Archlinux devidamente atualizado, pode ter percebido alguns erros relacionados à libjpeg.so ao tentar executar alguma aplicação, como foi o meu caso com o floola, um gerenciador para meu ipod com o qual transfiro e manipulo minhas músicas pelo linux.

O problema se deu pelo fato de o Archlinux já ter adotado a nova libjpeg. Esta versão 7 possui algumas vantagens em relação a versão anterior, porém muitos aplicativos ainda não foram atualizados para esta nova versão. Este foi o caso do floola por exemplo, que só funciona com a libjpeg6.

Segue uma dica simples e rápida para resolver este pequeno problema.

1- Baixe o pacote da libjpeg6 diretamente do AUR através do seguinte link:

http://aur.archlinux.org/packages/libjpeg6/libjpeg6.tar.gz

2- Descompacte o arquivo:

[kalib@tuxcaverna downloads]$ tar -xvzf libjpeg6.tar.gz

3- Entre no diretório libjpeg6, crie e instale o pacote a partir do PKGBUILD extraído:

[kalib@tuxcaverna downloads]$ cd libjpeg6/

[kalib@tuxcaverna libjpeg6]$ makepkg

[kalib@tuxcaverna libjpeg6]$ pacman -U libjpeg6-6b-6-i686.pkg.tar.gz

Feito isto, pode executar novamente o software que estava apontando o erro. No meu caso foi o floola. Isto resolverá o seu problema. ;]

Abraços

Comments